Bug 20370 - Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it
Summary: Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-03-10 07:40 UTC by Saketh Katari
Modified: 2020-05-13 22:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 20370: Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it (916 bytes, patch)
2020-04-13 01:24 UTC, David Roberts
Details | Diff | Splinter Review
Bug 20370: Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it (974 bytes, patch)
2020-04-13 15:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Saketh Katari 2018-03-10 07:40:09 UTC
Where is it? At line 67 of AuthUtils.pm, link : https://github.com/Koha-Community/Koha/blob/master/Koha/AuthUtils.pm
Comment 1 David Roberts 2020-04-13 01:24:33 UTC
Created attachment 102789 [details] [review]
Bug 20370: Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it

This patch changes the wording of the comment

To test:

1) Check the wording of Line 67 of Koha/AuthUtils.pm
2) Apply the patch
3) Check that the wording has changed from "Encrypt it" to "Hash it"
Comment 2 Katrin Fischer 2020-04-13 15:14:36 UTC
Created attachment 102858 [details] [review]
Bug 20370: Misleading comment for bcrypt - #encrypt it; Instead it should be #hash it

This patch changes the wording of the comment

To test:

1) Check the wording of Line 67 of Koha/AuthUtils.pm
2) Apply the patch
3) Check that the wording has changed from "Encrypt it" to "Hash it"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-04-13 15:14:54 UTC
Comment change - moving to PQA directly.
Comment 4 Martin Renvoize 2020-04-14 07:36:37 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-05 21:09:52 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-13 22:15:06 UTC
backported to 19.05.x for 19.05.11